For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fetch backups

Retrieve a MariaDB backup by ID. This value can be found when you GET the list of MariaDB backups.

get
/backups/{backupId}
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
backupIdstringRequired

The unique ID of the backup.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Responses
200

Successful operation.

application/json

A database backup.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
get/backups/{backupId}
GET /backups/{backupId} HTTP/1.1
Host: mariadb.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "properties": {
    "clusterId": "498ae72f-411f-11eb-9d07-046c59cc737e",
    "location": "de",
    "earliestRecoveryTargetTime": "2021-10-23T01:21:10Z",
    "size": 2052,
    "baseBackups": [
      {
        "created": "2020-12-10T13:37:50+01:00",
        "size": 543
      }
    ]
  }
}

Last updated

Was this helpful?